reverse_proxy_client_create_with_port
reverse_proxy_client_create_with_service
reverse_proxy_client_free
reverse_proxy_client_set_data_callback
reverse_proxy_client_set_log_callback
reverse_proxy_client_set_status_callback
reverse_proxy_client_start_proxy
reverse_proxy_client_t
reverse_proxy_client_type_t
reverse_proxy_data_cb_t
reverse_proxy_data_direction_t
REVERSE_PROXY_DEFAULT_PORT
reverse_proxy_error_t
reverse_proxy_get_type
reverse_proxy_log_cb_t
reverse_proxy_status_cb_t
reverse_proxy_status_t

## reverse_proxy_get_type()

LIBIMOBILEDEVICE_API reverse_proxy_client_type_t reverse_proxy_get_type | ( | reverse_proxy_client_t | client | ) |

Helper function to return the type of a given reverse proxy client, which is either RP_TYPE_CTRL or RP_TYPE_CONN.

Useful for callback functions.

See also
  reverse_proxy_client_type_t

Parameters

  client | The reverse proxy client

Returns
  The type of the rerverse proxy client